org.apache.lucene.queryParser.standard.parser

## Class StandardSyntaxParserTokenManager

- java.lang.Object
- - org.apache.lucene.queryParser.standard.parser.StandardSyntaxParserTokenManager

- All Implemented Interfaces:
    StandardSyntaxParserConstants

      public class StandardSyntaxParserTokenManager
      extends java.lang.Object
      implements StandardSyntaxParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `curChar`
    `java.io.PrintStream` | `debugStream` Debug output.
    `protected JavaCharStream` | `input_stream`
    `static int[]` | `jjnewLexState` Lex State array.
    `static java.lang.String[]` | `jjstrLiteralImages` Token literal values.
    `static java.lang.String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from interface org.apache.lucene.queryParser.standard.parser.StandardSyntaxParserConstants

      `_ESCAPED_CHAR, _NUM_CHAR, _QUOTED_CHAR, _TERM_CHAR, _TERM_START_CHAR, _WHITESPACE, AND, Boost, CARAT, COLON, DEFAULT, EOF, FUZZY_SLOP, LPAREN, MINUS, NOT, NUMBER, OR, PLUS, QUOTED, RangeEx, RANGEEX_END, RANGEEX_GOOP, RANGEEX_QUOTED, RANGEEX_START, RANGEEX_TO, RangeIn, RANGEIN_END, RANGEIN_GOOP, RANGEIN_QUOTED, RANGEIN_START, RANGEIN_TO, RPAREN, TERM, tokenImage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardSyntaxParserTokenManager(JavaCharStream stream)` Constructor.
    `StandardSyntaxParserTokenManager(JavaCharStream stream, int lexState)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(JavaCharStream stream)` Reinitialise parser.
    `void` | `ReInit(JavaCharStream stream, int lexState)` Reinitialise parser.
    `void` | `setDebugStream(java.io.PrintStream ds)` Set debug output.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public java.io.PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final java.lang.String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final java.lang.String[] lexStateNames

      Lexer state names.

    - #### jjnewLexState

          public static final int[] jjnewLexState

      Lex State array.

    - #### input_stream

          protected JavaCharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### StandardSyntaxParserTokenManager

          public StandardSyntaxParserTokenManager(JavaCharStream stream)

      Constructor.

    - #### StandardSyntaxParserTokenManager

          public StandardSyntaxParserTokenManager(JavaCharStream stream,
                                                  int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(java.io.PrintStream ds)

      Set debug output.

    - #### ReInit

          public void ReInit(JavaCharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(JavaCharStream stream,
                             int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.